# Configuring the YAML file

This is an example for the YAML file :

```yaml
 databaseConfig:
      user : "---"
      host : "---"
      database: "---"
      password  : "---"
      port: 0
      
 gasTanks:
   - name: "gasTank1"
     apiKey: "---"
     chainId: 0
     providerURL: "---"
     whiteList:  
        - "address1"
        - "address2"
        - "address3"
```

### databaseConfig

Here you add your database information as known including user, host, database, password, and port.

{% hint style="info" %}
Note that for a host.docker.internal in case of local database.
{% endhint %}

## GasTanks

This is an array of gas tanks, where each gasTank should include the following:

**name**: The name of your gas tank

**apiKey** : Biconomy apiKey for this gasTank

**chainId**: The chain id for this gas tank

**providerURL** : Link to your private provider

**whiteList** : an array of contracts addresses this gas tank is allowed to interact with.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zerowallet.org/configuring-the-yaml-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
